Bug 48686 - Cannot delete hosts using Administration Tool webapp (HTTP 500 error)
Cannot delete hosts using Administration Tool webapp (HTTP 500 error)
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Webapps:Administration
5.5.28
Sun SunOS
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-02-05 06:04 UTC by Martin Malina
Modified: 2010-03-03 23:42 UTC (History)
0 users



Attachments
Proposed patch (804 bytes, patch)
2010-02-10 19:23 UTC, Mark Thomas
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Malina 2010-02-05 06:04:59 UTC
Similar to Bug 34033.
When I try to delete a Host created with the Admin tool using the Delete Existing Hosts menu item, loading the page fails with a HTTP 500 error.

java.lang.NullPointerException
	java.lang.String.indexOf(String.java:1564)
	java.lang.String.indexOf(String.java:1546)
	org.apache.struts.taglib.logic.MatchTag.condition(MatchTag.java:158)
	org.apache.struts.taglib.logic.MatchTag.condition(MatchTag.java:100)
	org.apache.struts.taglib.logic.ConditionalTagBase.doStartTag(ConditionalTagBase.java:174)
	admin.host.hosts_jsp._jspService(hosts_jsp.java:178)
	org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:98)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:729)
	org.apache.struts.action.RequestProcessor.doForward(RequestProcessor.java:1085)
	org.apache.struts.action.RequestProcessor.processForwardConfig(RequestProcessor.java:398)
	org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:241)
	org.apache.struts.action.ActionServlet.process(ActionServlet.java:1196)
	org.apache.struts.action.ActionServlet.doGet(ActionServlet.java:414)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:627)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:729)
	org.apache.webapp.admin.filters.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:123)
Comment 1 Mark Thomas 2010-02-10 19:23:31 UTC
Created attachment 24966 [details]
Proposed patch
Comment 2 Mark Thomas 2010-02-10 19:27:20 UTC
The patch has been proposed for 5.5.x
Comment 3 Mark Thomas 2010-03-03 23:42:51 UTC
This has been fixed in 5.5.x and will be included in 5.5.29 onwards.